Get transactions (standard)
Returns transaction history for an account in a standardized format. Transactions are returned newest-first. Each transaction includes the triggering inbound message, all outbound messages, and fees paid. The response includes a previous_transaction_id cursor for paginating through older transactions.
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to fetch transaction history for an account with optional pagination and filtering parameters.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v2/getTransactionsStd" \ -H "Content-Type: application/json" \ -d '{ "address": "string" }'{ "ok": true, "result": "string", "@extra": "string", "jsonrpc": "string", "id": "string"}